Skip to content
Docs

Check Update NKS Cluster Availability

PATCH/v1/nks/clusters/{cluster_id}/availability

Check if an NKS cluster can be updated

Path ParametersExpand Collapse
cluster_id: string
Body ParametersJSONExpand Collapse
autoscaling: optional boolean

Whether to enable autoscaling for the Cluster.

name: optional string

Name of the Cluster.

tags: optional array of string

Tags to attach to the Cluster.

Check Update NKS Cluster Availability

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/availability \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "autoscaling": true,
          "name": "my-cluster",
          "tags": [
            "production",
            "ethereum"
          ]
        }'
Returns Examples